org.firebirdsql.jdbc.parser

## Class JaybirdSqlParser.FunctionContext

- java.lang.Object
- - org.antlr.v4.runtime.RuleContext
  - - org.antlr.v4.runtime.ParserRuleContext
    - - org.firebirdsql.jdbc.parser.JaybirdSqlParser.FunctionContext

- All Implemented Interfaces:
    org.antlr.v4.runtime.tree.ParseTree, org.antlr.v4.runtime.tree.RuleNode, org.antlr.v4.runtime.tree.SyntaxTree, org.antlr.v4.runtime.tree.Tree
  Enclosing class:
    JaybirdSqlParser

      public static class JaybirdSqlParser.FunctionContext
      extends org.antlr.v4.runtime.ParserRuleContext

- - ### Field Summary

    - ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

      `children, exception, start, stop`

    - ### Fields inherited from class org.antlr.v4.runtime.RuleContext

      `EMPTY, invokingState, parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaybirdSqlParser.FunctionContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.antlr.v4.runtime.tree.TerminalNode` | `ALL()`
    `org.antlr.v4.runtime.tree.TerminalNode` | `AVG()`
    `org.antlr.v4.runtime.tree.TerminalNode` | `COUNT()`
    `org.antlr.v4.runtime.tree.TerminalNode` | `DISTINCT()`
    `void` | `enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
    `void` | `exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
    `JaybirdSqlParser.ExtractFunctionContext` | `extractFunction()`
    `int` | `getRuleIndex()`
    `org.antlr.v4.runtime.tree.TerminalNode` | `MAXIMUM()`
    `org.antlr.v4.runtime.tree.TerminalNode` | `MINIMUM()`
    `JaybirdSqlParser.SimpleIdentifierContext` | `simpleIdentifier()`
    `JaybirdSqlParser.SubstringFunctionContext` | `substringFunction()`
    `org.antlr.v4.runtime.tree.TerminalNode` | `SUM()`
    `JaybirdSqlParser.TrimFunctionContext` | `trimFunction()`
    `JaybirdSqlParser.ValueContext` | `value()`
    `JaybirdSqlParser.ValueListContext` | `valueList()`

    - ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

      `addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

    - ### Methods inherited from class org.antlr.v4.runtime.RuleContext

      `accept, depth, getAltNumber, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JaybirdSqlParser.FunctionContext

          public JaybirdSqlParser.FunctionContext(org.antlr.v4.runtime.ParserRuleContext parent,
                                          int invokingState)

  - ### Method Detail

    - #### simpleIdentifier

          public JaybirdSqlParser.SimpleIdentifierContext simpleIdentifier()

    - #### valueList

          public JaybirdSqlParser.ValueListContext valueList()

    - #### substringFunction

          public JaybirdSqlParser.SubstringFunctionContext substringFunction()

    - #### trimFunction

          public JaybirdSqlParser.TrimFunctionContext trimFunction()

    - #### extractFunction

          public JaybirdSqlParser.ExtractFunctionContext extractFunction()

    - #### SUM

          public org.antlr.v4.runtime.tree.TerminalNode SUM()

    - #### value

          public JaybirdSqlParser.ValueContext value()

    - #### ALL

          public org.antlr.v4.runtime.tree.TerminalNode ALL()

    - #### DISTINCT

          public org.antlr.v4.runtime.tree.TerminalNode DISTINCT()

    - #### COUNT

          public org.antlr.v4.runtime.tree.TerminalNode COUNT()

    - #### AVG

          public org.antlr.v4.runtime.tree.TerminalNode AVG()

    - #### MINIMUM

          public org.antlr.v4.runtime.tree.TerminalNode MINIMUM()

    - #### MAXIMUM

          public org.antlr.v4.runtime.tree.TerminalNode MAXIMUM()

    - #### getRuleIndex

          public int getRuleIndex()

      Overrides:
        `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

    - #### enterRule

          public void enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

      Overrides:
        `enterRule` in class `org.antlr.v4.runtime.ParserRuleContext`

    - #### exitRule

          public void exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

      Overrides:
        `exitRule` in class `org.antlr.v4.runtime.ParserRuleContext`

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.